> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/analytics/analytics.click.md).

# Analytics.click

### 기능 설명

터치나 클릭이 발생하면 분석 로그를 남겨요. 구매 버튼 클릭처럼 중요한 사용자 액션을 기록할 때 사용해요. `event` 유형의 로그에 `event_type: 'click'` 파라미터가 함께 기록돼요.

`log_name`을 지정하지 않으면 현재 경로를 기반으로 `<pathname>::click` 형식의 이름이 자동으로 사용돼요. 로그 파라미터에는 전달한 값 외에도 현재 페이지의 쿼리 스트링(`search`), 진입 경로(`referrer`), 배포 정보(`deployment_id`, `deployment_timestamp`)가 자동으로 포함돼요.

현재 페이지 URL이 `https`가 아니면 로그를 보내지 않아요.

### 타입

```ts
Analytics.click(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**Params**

```ts
// log_name 외의 키는 로그 파라미터로 함께 기록돼요.
type LogParam = string | number | boolean | null | undefined;
```

**Response**

현재 페이지 URL이 `https`가 아니면 로그를 보내지 않고 `undefined`를 반환해요.

### 예시 코드

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const button = document.querySelector("#buy-button");

button.addEventListener("click", () => {
  Analytics.click({ log_name: "buy_button", text: "구매하기" });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/analytics/analytics.click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
